TV-Browser startet nach Ubuntu update (16LTS->18LTS) nicht mehr

Bei Problemen mit der Bedienung von TV-Browser, bitte hier posten.
Antworten
magiceye04
Newbie
Beiträge: 8
Registriert: 09 Jul 2011, 21:39

TV-Browser startet nach Ubuntu update (16LTS->18LTS) nicht mehr

Beitrag von magiceye04 » 12 Mai 2019, 19:32

Hallo,
ich habe auf einem Rechner vor einigen Monaten Ubuntu von 16.04LTS auf 18.04LTS aktualisiert, jeweils MATE Desktop. Danach startete TV-Browser nicht mehr.
Da ich noch einen weiteren Rechner hatte, auf dem es noch funktionierte, habe ich das nicht weiter verfolgt.
Nun ist auch ein weiterer Rechner aktualisiert worden. Und dort habe ich nun das gleiche Problem.
Ich habe mir gedacht, dann installiere ich eben das neue Paket für die aktuelle Version 4 - vorher war es 3.4.x.
Aber das funktioniert ebenfalls nicht. Es erscheint immer nur der Start-Screen und verschwindet nach ein paar Sekunden, ohne dass das Programm sich öffnet.
In der Konsole sieht es so aus:

Code: Alles auswählen

magiceye04@X4-5350:~$ tvbrowser
Starting TV-Browser...
Java exec found in PATH. Verifying...
Suitable java version found [java = 11.0.2 2019-01-15]
Configuring environment...
Loading TV-Browser:
java -Xms16m -Xmx512m -XX:+IgnoreUnrecognizedVMOptions --add-modules=ALL-SYSTEM -Djava.library.path="/usr/share/tvbrowser" -Dpropertiesfile=linux.properties -jar tvbrowser.jar ''
TV-Browser was developed for Sun Java and may not run correctly with your Java implementation.
command line options:
    -minimized      The main window will be minimized after start up
    -nostartscreen  No start screen during start up
    -fullscreen     Start in fullscreen-mode
    -ignorejvm      Don't check for Sun Java
    -safemode       Don't load Plugins

19:18:32 INFORMATION: Search for settings import in: '/home/magiceye04/.tvbrowser'
19:18:32 INFORMATION: No previous version of TV-Browser found - using default user settings
19:18:32 WARNUNG: TV-Browser was developed for Sun Java and may not run correctly with your Java implementation.
19:18:32 WARNUNG: Loading plugin file failed: /usr/share/tvbrowser/plugins/NewsPlugin.jar
java.lang.NoClassDefFoundError: javax/activation/UnsupportedDataTypeException
	at tvbrowser.core.PluginLoader.saveProxyInfo(PluginLoader.java:378)
	at tvbrowser.core.PluginLoader.loadPlugin(PluginLoader.java:242)
	at tvbrowser.core.PluginLoader.loadPlugins(PluginLoader.java:488)
	at tvbrowser.core.PluginLoader.loadAllPlugins(PluginLoader.java:528)
	at tvbrowser.TVBrowser.main(TVBrowser.java:490)
Caused by: java.lang.ClassNotFoundException: javax.activation.UnsupportedDataTypeException
	at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:583)
	at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
	... 5 more
java.lang.NoClassDefFoundError: javax/activation/UnsupportedDataTypeException
	at tvbrowser.core.PluginLoader.saveProxyInfo(PluginLoader.java:378)
	at tvbrowser.core.PluginLoader.loadPlugin(PluginLoader.java:242)
	at tvbrowser.core.PluginLoader.loadPlugins(PluginLoader.java:488)
	at tvbrowser.core.PluginLoader.loadAllPlugins(PluginLoader.java:528)
	at tvbrowser.TVBrowser.main(TVBrowser.java:490)
Caused by: java.lang.ClassNotFoundException: javax.activation.UnsupportedDataTypeException
	at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:583)
	at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
	... 5 more
TV-Browser TERMINATED.
magiceye04@X4-5350:~$
openjdk-8-jre ist installiert. Welches Java brauche ich denn neuerdings für TV-Browser und warum kommt es mit der installierten Version nicht mehr klar?

ds10
Site Admin
Beiträge: 17165
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: TV-Browser startet nach Ubuntu update (16LTS->18LTS) nicht mehr

Beitrag von ds10 » 12 Mai 2019, 19:35

Das JDK 8 ist zwar installiert, wird aber nicht als Standard genutzt. Du kannst entweder die aktuelle Beta-Version von TV-Browser installieren oder das Standard-Java ändern:

Code: Alles auswählen

sudo update-alternatives --config java
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser

magiceye04
Newbie
Beiträge: 8
Registriert: 09 Jul 2011, 21:39

Re: TV-Browser startet nach Ubuntu update (16LTS->18LTS) nicht mehr

Beitrag von magiceye04 » 12 Mai 2019, 21:48

Danke für den Tipp, damit klappt es nun.

Antworten